
var app = getApp()
var that;
var typeArr = [];
Page({
  data: {
    date: app.globalData.month,
    minuteIndex: 0,//条件选择
    minuteArray: [
      { id: 0, name: '总分' },
      { id: 1, name: '加班' },
      { id: 2, name: '迟到' },
    ],

    showDate: false,//是否显示时间组件
    selectDateVal: '本月',

    showStaff: false,//显示员工选择
    staffVal: '员工',
    employee_ids:[],
    page: 1,
    popupCx: '',
    list:[1,2,3]

  },
  onLoad(e) {
    that = this;
    dd.setNavigationBar({ title: "发放记录" });
  },
  onShow() {

  },
  onReset() {
    this.setData({
      page: 1,
      isVal: false,
      keyword: ''
    })
    this.getData();
  },
  bindKeyInput(e) {
    this.setData({
      page: 1,
      isVal: e.detail.value ? true : false,
      keyword: e.detail.value ? e.detail.value : '',
    })
    this.getData();
  },
  getData(is) {
    var data = {
      page: that.data.page,
      page_size: 20,
      rule_id: that.data.rule_id,
      pt_id: that.data.types.length > 0 ? that.data.types[that.data.typesIndex].id : '2',
      employee_ids: that.data.employee_ids,
      keyword:that.data.keyword,
      dc_status: JSON.stringify([1]),
      order_key:'update_time'
    }
    if (that.data.date_type == 2) {
      data.start_day = that.data.dateObj[0];
      data.end_day = that.data.dateObj[1];
    }
    app.$get('api/integral/statistics/integral', data).then((res) => {
      var data = res.data.data.list;
      data.map((item) => {
        item.ptObj = app.getTypesItem(item.pt_id);
      })
      if (is) {
        if (data.length == 0) {
          this.setData({
            isData: true
          })
          return;
        }
        var list = that.data.list;
        this.setData({
          list: list.concat(data)
        })
      } else {
        this.setData({ list: [] });
        this.setData({
          list: data,
          isData: false
        })
      }
    })
  },
  //上啦加载
  onScrollToLower() {
    if (!that.data.isData) {
      this.setData({ page: ++that.data.page })
      this.getData(true);
    }
  },
  //打开兴趣
  openDetail(e) {
    var item = e.target.dataset.item;
    dd.navigateTo({
      url: '../prizeBuckleDetail/prizeBuckleDetail?id=' + item.id
    })
  },
  //显示选择时间组件
  selectDate() {
    this.setData({
      popupCx: 'container__mask',
      showDate: true
    })
  },
  //显示选择员工
  selectStaff() {
    this.setData({
      popupCx: 'container__mask',
      showStaff: true
    })
  },
  //选择时间
  onConfirmDate(data) {
    that.setData({
      defaultDate: data,
      dateObj: data.date,
      date_type: data.type == 1 ? 3 : data.type,
      page: 1,
      selectDateVal: data.type == 1 ? (data.date == that.data.date ? '本月' : '月') : '日',
    })
    this.getData();
  },
  //关闭弹窗
  onClose() {
    this.setData({
      showDate: false,
      showStaff: false,
      popupCx: '',
    })
  },
  //选择员工
  onConfirmStaff(data) {
    if (data.length > 0) {
      if (data.length > 1) {
        var str = "";
        var arr = [];
        data.forEach((item) => {
          str += item.name + ','
          arr.push(item.id);
        })
        var employee_ids = arr.join(',');
        this.setData({ staffVal: str.substring(0, str.length - 1), employee_ids: employee_ids, page: 1})
      } else {
        this.setData({ staffVal: data[0].name, employee_ids: [data[0].id], page: 1 })
      }
    } else {
      this.setData({ staffVal: '员工', employee_ids: [], page: 1})
    }
    // this.getData();
  },
});
